# $Revision: 1.65 $, $Date: 2012/06/02 10:58:04 $
Summary:	gvfs - userspace virtual filesystem
Summary(pl.UTF-8):	gvfs - wirtualny system plików w przestrzeni użytkownika
Name:		gvfs
Version:	1.12.3
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gvfs/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	348edf09eca150ba7065017127f63c64
Patch0:		set_attributes_from_info-v1.patch
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	avahi-glib-devel >= 0.6.22
BuildRequires:	bluez-libs-devel >= 4.0
BuildRequires:	cdparanoia-III-devel >= 1:10
BuildRequires:	dbus-glib-devel
BuildRequires:	expat-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libarchive-devel
BuildRequires:	libbluray-devel
BuildRequires:	libcdio-devel >= 0.78.2
BuildRequires:	libfuse-devel >= 2.8.0
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libgphoto2-devel >= 2.4.7
BuildRequires:	libimobiledevice-devel >= 1.1.2
BuildRequires:	libplist-devel >= 0.15
BuildRequires:	libsmbclient-devel >= 3.0
BuildRequires:	libsoup-gnome-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel >= 138
BuildRequires:	udisks2-devel >= 1.90.0
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	udisks2
Suggests:	obex-data-server >= 0.4
Suggests:	usbmuxd
Obsoletes:	gnome-mount <= 0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
gvfs is a userspace virtual filesystem where mount runs as a separate
processes which you talk to via D-BUS. It contains a gio module that
seamlessly adds gvfs support to all applications using the gio API. It
also supports exposing the gvfs mounts to non-gio applications using
FUSE.

%description -l pl.UTF-8
gvfs to wirtualny system plik w przestrzeni użytkownika. Montowanie w
nim działa jako oddzielny proces, z którym komunikacja odbywa się
przez D-BUS. Zawiera moduł gio dodający w sposób przezroczysty obsługę
gfvs-a do wszystkich aplikacji używających API gio. Obsługuje także
montowania gvfs przy użyciu FUSE z myślą o aplikacjach nie
korzystających z gio.

%package libs
Summary:	gvfs libraries
Summary(pl.UTF-8):	Biblioteki gvfs
Group:		Libraries
Requires:	glib2 >= 1:2.32.0

%description libs
gvfs libraries.

%description libs -l pl.UTF-8
Biblioteki gvfs.

%package devel
Summary:	Header files for gvfs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gvfs
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for gvfs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gvfs.

%package -n bash-completion-gvfs
Summary:	bash-completion for gvfs
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla gvfs
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-gvfs
This package provides bash-completion for gvfs.

%description -n bash-completion-gvfs -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla gvfs.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gdu \
	--disable-hal \
	--disable-silent-rules \
	--with-bash-completion-dir=%{_sysconfdir}/bash_completion.d
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la

%find_lang gvfs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules
exit 0

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules
exit 0

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f gvfs.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gvfs-cat
%attr(755,root,root) %{_bindir}/gvfs-copy
%attr(755,root,root) %{_bindir}/gvfs-info
%attr(755,root,root) %{_bindir}/gvfs-less
%attr(755,root,root) %{_bindir}/gvfs-ls
%attr(755,root,root) %{_bindir}/gvfs-mime
%attr(755,root,root) %{_bindir}/gvfs-mkdir
%attr(755,root,root) %{_bindir}/gvfs-monitor-dir
%attr(755,root,root) %{_bindir}/gvfs-monitor-file
%attr(755,root,root) %{_bindir}/gvfs-mount
%attr(755,root,root) %{_bindir}/gvfs-move
%attr(755,root,root) %{_bindir}/gvfs-open
%attr(755,root,root) %{_bindir}/gvfs-rename
%attr(755,root,root) %{_bindir}/gvfs-rm
%attr(755,root,root) %{_bindir}/gvfs-save
%attr(755,root,root) %{_bindir}/gvfs-set-attribute
%attr(755,root,root) %{_bindir}/gvfs-trash
%attr(755,root,root) %{_bindir}/gvfs-tree
%attr(755,root,root) %{_libdir}/gio/modules/libgioremote-volume-monitor.so
%attr(755,root,root) %{_libdir}/gio/modules/libgvfsdbus.so
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/gvfsd
%attr(755,root,root) %{_libexecdir}/gvfsd-afc
%attr(755,root,root) %{_libexecdir}/gvfsd-afp
%attr(755,root,root) %{_libexecdir}/gvfsd-afp-browse
%attr(755,root,root) %{_libexecdir}/gvfsd-archive
%attr(755,root,root) %{_libexecdir}/gvfsd-burn
%attr(755,root,root) %{_libexecdir}/gvfsd-cdda
%attr(755,root,root) %{_libexecdir}/gvfsd-computer
%attr(755,root,root) %{_libexecdir}/gvfsd-dav
%attr(755,root,root) %{_libexecdir}/gvfsd-dnssd
%attr(755,root,root) %{_libexecdir}/gvfsd-ftp
%attr(755,root,root) %{_libexecdir}/gvfsd-gphoto2
%attr(755,root,root) %{_libexecdir}/gvfsd-http
%attr(755,root,root) %{_libexecdir}/gvfsd-localtest
%attr(755,root,root) %{_libexecdir}/gvfsd-metadata
%attr(755,root,root) %{_libexecdir}/gvfsd-network
%attr(755,root,root) %{_libexecdir}/gvfsd-obexftp
%attr(755,root,root) %{_libexecdir}/gvfsd-sftp
%attr(755,root,root) %{_libexecdir}/gvfsd-smb
%attr(755,root,root) %{_libexecdir}/gvfsd-smb-browse
%attr(755,root,root) %{_libexecdir}/gvfsd-trash
%attr(755,root,root) %{_libexecdir}/gvfs-afc-volume-monitor
%attr(755,root,root) %{_libexecdir}/gvfs-fuse-daemon
%attr(755,root,root) %{_libexecdir}/gvfs-gphoto2-volume-monitor
%attr(755,root,root) %{_libexecdir}/gvfs-udisks2-volume-monitor
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/dbus-1/services/org.gtk.Private.UDisks2VolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/mounts/afp-browse.mount
%{_datadir}/gvfs/mounts/afp.mount
%{_datadir}/gvfs/mounts/archive.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/obexftp.mount
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%{_datadir}/gvfs/remote-volume-monitors/udisks2.monitor
%{_datadir}/GConf/gsettings/gvfs-dns-sd.convert
%{_datadir}/GConf/gsettings/gvfs-smb.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.dns_sd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.gvfs.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.smb.gschema.xml

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgvfscommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvfscommon.so.0
%attr(755,root,root) %{_libdir}/libgvfscommon-dnssd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvfscommon-dnssd.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgvfscommon.so
%attr(755,root,root) %{_libdir}/libgvfscommon-dnssd.so
%{_libdir}/libgvfscommon.la
%{_libdir}/libgvfscommon-dnssd.la
%{_includedir}/gvfs-client

%files -n bash-completion-gvfs
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/gvfs-bash-completion.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gvfs.spec,v $
Revision 1.65  2012/06/02 10:58:04  arekm
- release 2

Revision 1.64  2012/05/16 19:34:06  kiesiu
- updated to 1.12.3

Revision 1.63  2012/04/27 19:13:35  megabajt
- updated to 1.12.2

Revision 1.62  2012/04/17 20:47:33  megabajt
- updated to 1.12.1
- removed obsolete unstable-libimobiledevice-api.patch

Revision 1.61  2012/03/31 08:29:55  kiesiu
- patch for libimobiledevice-1.1.2 API change
- bump libimobiledevice BR
- rel. 3

Revision 1.60  2012/03/30 23:11:03  arekm
- release 2

Revision 1.59  2012/03/27 19:37:18  megabajt
- updated to 1.12.0; merged changes from DEVEL

Revision 1.58.2.1  2012/03/11 23:00:38  megabajt
- updated to 1.11.4

Revision 1.58  2012/01/13 20:31:15  arekm
- release 2

Revision 1.57  2011/10/17 20:15:35  kiesiu
- updated to 1.10.1

Revision 1.56  2011/09/27 18:19:47  kiesiu
- updated to 1.10.0; merged from DEVEL
- updated BRs

Revision 1.55.2.1  2011/09/07 20:57:30  wiget
- up to 1.9.5

Revision 1.55  2011/07/04 15:32:35  qboosh
- use __rm macro

Revision 1.54  2011/05/24 15:57:45  megabajt
- updated to 1.8.2

Revision 1.53  2011/05/17 07:36:13  glen
- preserve mtime patch from https://bugzilla.gnome.org/show_bug.cgi?id=527339
  works also for GNOME_2, so BR dep lowered

Revision 1.52  2011/04/26 16:51:43  megabajt
- updated to 1.8.1

Revision 1.51  2011/04/08 13:10:20  lisu
- added O for gnome-mount
- rel 2

Revision 1.50  2011/04/06 19:05:23  wiget
- BR gnome-disk-utility-devel >= 3.0.0

Revision 1.49  2011/04/05 10:54:35  kiesiu
- updated to 1.8.0; merged from DEVEL
- updated BR

Revision 1.48  2011/03/22 08:37:00  caleb
- Up to 1.6.7

Revision 1.47.2.2  2011/03/21 19:30:39  megabajt
- updated to 1.7.3

Revision 1.47.2.1  2011/02/04 22:23:10  megabajt
- updated to 1.7.2

Revision 1.47  2010/11/12 22:02:06  megabajt
- updated to 1.6.6

Revision 1.46  2010/11/02 19:28:04  megabajt
- updated to 1.6.5

Revision 1.45  2010/09/27 16:38:24  megabajt
- updated to 1.6.4

Revision 1.44  2010/08/09 13:59:24  megabajt
- updated to 1.6.3

Revision 1.43  2010/07/11 09:24:54  glen
- release 3

Revision 1.42  2010/06/13 13:36:06  megabajt
- release 2

Revision 1.41  2010/05/29 11:03:01  megabajt
- updated to 1.6.2

Revision 1.40  2010/05/13 18:27:10  sparky
- BR: openssl-devel

Revision 1.39  2010/04/26 16:06:46  megabajt
- updated to 1.6.1

Revision 1.38  2010/03/29 16:42:26  megabajt
- updated to 1.6.0; merged changes from DEVEL

Revision 1.37.2.2  2010/03/25 20:12:43  megabajt
- updated to 1.5.5

Revision 1.37.2.1  2010/02/11 21:08:02  megabajt
- updated to 1.5.3
- removed en@shaw locale

Revision 1.37  2010/01/20 19:55:13  blues
- rel.4

Revision 1.36  2010/01/20 19:54:56  blues
- req: DeviceKit-disks

Revision 1.35  2010/01/11 12:50:16  hawk
- release 3

Revision 1.34  2009/12/31 16:47:12  megabajt
- release 2

Revision 1.33  2009/12/14 18:15:27  megabajt
- updated to 1.4.3

Revision 1.32  2009/12/01 22:45:39  megabajt
- updated to 1.4.2

Revision 1.31  2009/10/20 18:39:59  megabajt
- updated to 1.4.1

Revision 1.30  2009/09/26 10:28:20  megabajt
- updated to 1.4.0; merged from DEVEL

Revision 1.29.2.4  2009/08/11 11:26:54  patrys
- 1.3.4

Revision 1.29.2.3  2009/07/31 15:32:49  patrys
- 1.3.3

Revision 1.29.2.2  2009/07/19 12:13:05  patrys
- fix metadata daemon

Revision 1.29.2.1  2009/07/16 10:42:13  patrys
- 1.3.2

Revision 1.29  2009/05/18 15:39:14  megabajt
- updated to 1.2.3

Revision 1.28  2009/04/13 22:10:12  megabajt
- updated to 1.2.2

Revision 1.27  2009/04/03 20:32:26  megabajt
- updated to 1.2.1

Revision 1.26  2009/03/16 18:04:38  megabajt
- updated to 1.2.0; merged changes from DEVEL

Revision 1.25.2.3  2009/03/12 22:08:02  megabajt
- updated to 1.1.8

Revision 1.25.2.2  2009/03/05 19:27:19  megabajt
- updated to 1.1.7

Revision 1.25.2.1  2009/02/19 20:35:54  megabajt
- updated to 1.1.6
- removed -ods.patch (applied upstream)

Revision 1.25  2008/11/29 16:10:11  sls
- rel. 2 (fixed ods.patch, 'network:' browsing works)

Revision 1.24  2008/11/25 17:57:33  megabajt
- updated to 1.0.3

Revision 1.23  2008/10/20 14:13:01  megabajt
- updated to 1.0.2

Revision 1.22  2008/10/18 16:34:30  patrys
- add obex-data-server patch

Revision 1.21  2008/09/25 15:25:40  megabajt
- added bash-completion-gvfs subpackage

Revision 1.20  2008/09/25 14:49:32  megabajt
- updated to 1.0.1; merged changes from DEVEL

Revision 1.17.2.8  2008/09/12 23:58:18  patrys
- 0.99.7.1

Revision 1.17.2.7  2008/09/04 10:45:54  patrys
- 0.99.6

Revision 1.19  2008/09/01 10:40:06  arekm
- rel 2

Revision 1.17.2.6  2008/08/19 10:54:18  patrys
- 0.99.5

Revision 1.17.2.5  2008/08/05 19:29:44  patrys
- proper glib2 version R

Revision 1.17.2.4  2008/08/05 19:28:31  patrys
- 0.99.4

Revision 1.17.2.3  2008/07/24 11:55:44  patrys
- 0.99.3

Revision 1.17.2.2  2008/07/23 14:05:16  patrys
- 0.99.2

Revision 1.18  2008/06/30 13:34:06  megabajt
- updated to 0.2.5

Revision 1.17.2.1  2008/06/04 00:25:24  patrys
- 0.99.1

Revision 1.17  2008-05-27 14:50:05  megabajt
- updated to 0.2.4

Revision 1.16  2008-04-08 14:56:13  megabajt
- updated to 0.2.3

Revision 1.15  2008-03-28 20:46:31  megabajt
- updated to 0.2.2

Revision 1.14  2008-03-19 18:03:17  megabajt
- updated to 0.2.1

Revision 1.13  2008-03-10 20:09:37  megabajt
- updated to 0.2.0.1

Revision 1.12  2008-03-04 17:52:54  megabajt
- updated to 0.1.11

Revision 1.11  2008-02-27 21:05:08  megabajt
- updated to 0.1.8

Revision 1.10  2008-02-12 13:00:45  megabajt
- updated to 0.1.7

Revision 1.9  2008-01-29 23:13:39  megabajt
- updated to 0.1.6

Revision 1.8  2008-01-21 16:28:46  megabajt
- updated to 0.1.4

Revision 1.7  2008-01-19 18:10:16  megabajt
- ghost soname symlink

Revision 1.6  2008-01-15 16:38:57  patrys
- 0.1.2

Revision 1.5  2008-01-13 08:04:41  qboosh
- BR: cdparanoia-III-devel, some versions

Revision 1.4  2008-01-13 07:45:55  qboosh
- pl

Revision 1.3  2008-01-08 19:30:57  megabajt
- updated to 0.1.1

Revision 1.2  2007-12-23 00:04:11  megabajt
- added description
- glib2 epoch
- more verbose files
- cleanup

Revision 1.1  2007-12-22 21:39:14  patrys
- initial PLD release
